[@algorandfoundation/algokit-utils](../README.md) / [types/app-spec](../modules/types_app_spec.md) / SchemaSpec

# Interface: SchemaSpec

[types/app-spec](../modules/types_app_spec.md).SchemaSpec

The schema for global and local storage

## Table of contents

### Properties

- [global](types_app_spec.SchemaSpec.md#global)
- [local](types_app_spec.SchemaSpec.md#local)

## Properties

### global

• **global**: [`Schema`](types_app_spec.Schema.md)

The global storage schema

#### Defined in

[src/types/app-spec.ts:288](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L288)

___

### local

• **local**: [`Schema`](types_app_spec.Schema.md)

The local storage schema

#### Defined in

[src/types/app-spec.ts:286](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L286)
